## libss7 1.0.2

=== Makefile ===
CC=gcc
GREP=grep
AWK=awk

OSARCH=$(shell uname -s)

INSTALL_PREFIX=$(DESTDIR)
INSTALL_BASE=/usr
libdir?=$(INSTALL_BASE)/lib
STATIC_OBJS=mtp2.o ss7_sched.o ss7.o mtp3.o isup.o version.o
DYNAMIC_OBJS=mtp2.o ss7_sched.o ss7.o mtp3.o isup.o version.o
STATIC_LIBRARY=libss7.a
DYNAMIC_LIBRARY=libss7.so.1.0
CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC
LDCONFIG_FLAGS=-n
SOFLAGS=-Wl,-hlibss7.so.1
LDCONFIG=/sbin/ldconfig

UTILITIES=parser_debug

ifneq ($(wildcard /usr/include/dahdi/user.h),)
UTILITIES+=ss7test ss7linktest
endif

export SS7VERSION

SS7VERSION:=$(shell GREP=$(GREP) AWK=$(AWK) build_tools/make_version .)

all: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY) $(UTILITIES)

MAKE_DEPS= -MD -MT $@ -MF .$(subst /,_,$@).d -MP

%.o: %.c
	$(CC) $(CFLAGS) $(MAKE_DEPS) -c -o $@ $<

%.lo: %.c
	$(CC) $(CFLAGS) $(MAKE_DEPS) -c -o $@ $<

clean:
	rm -f *.o *.so *.lo *.so.1 *.so.1.0
	rm -f parser_debug ss7linktest ss7test $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	rm -f .*.d

install: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	mkdir -p $(INSTALL_PREFIX)$(libdir)
	mkdir -p $(INSTALL_PREFIX)$(INSTALL_BASE)/include
	install -m 644 libss7.h $(INSTALL_PREFIX)$(INSTALL_BASE)/include
	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf libss7.so.1 libss7.so ; ln -sf libss7.so.1.0 libss7.so.1 )
	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
	if test $$(id -u) = 0; then $(LDCONFIG); fi

$(STATIC_LIBRARY): $(STATIC_OBJS)
	ar rcs $(STATIC_LIBRARY) $(STATIC_OBJS)
	ranlib $(STATIC_LIBRARY)

$(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
	$(CC) -shared $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
	$(LDCONFIG) $(LDCONFIG_FLAGS) .
	ln -sf libss7.so.1 libss7.so
	ln -sf libss7.so.1.0 libss7.so.1

version.c: FORCE
	@build_tools/make_version_c > $@.tmp
	@cmp -s $@.tmp $@ || mv $@.tmp $@
	@rm -f $@.tmp

ss7test: ss7test.c $(STATIC_LIBRARY)
	gcc -g -o ss7test ss7test.c libss7.a -lpthread

ss7linktest: ss7linktest.c $(STATIC_LIBRARY)
	gcc -g -o ss7linktest ss7linktest.c libss7.a -lpthread

parser_debug: parser_debug.c $(STATIC_LIBRARY)
	gcc -g -Wall -o parser_debug parser_debug.c libss7.a

libss7: ss7_mtp.o mtp.o ss7.o ss7_sched.o

.PHONY:

FORCE:

ifneq ($(wildcard .*.d),)
   include .*.d
endif

=== debian/changelog ===
libss7 (1.0.2-5) unstable; urgency=low

  * Upload to unstable
  * Update Vcs & Standards-Version

 -- Mark Purcell <msp@debian.org>  Sun, 19 May 2013 13:27:58 +1000

libss7 (1.0.2-4) experimental; urgency=low

  * Fix "FTBFS with clang 3.1" patch from Cyril Roelandt (Closes: #686546)
  * Cleanup debian/rules

 -- Mark Purcell <msp@debian.org>  Sat, 06 Oct 2012 17:27:40 +1000

libss7 (1.0.2-3) unstable; urgency=low

  * wheezy polish
  * Update Standards-Version: 3.9.3 - no changes
  * debian/compat -> 9 hardening & multiarch
  * Update Description - fixes extended-description-is-probably-too-short
  * Fix spelling-error-in-binary usr/lib/libss7.so.1.0 requried required

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 21:50:00 +1000

libss7 (1.0.2-2) unstable; urgency=low

  [ Kilian Krause ]
  * Add myself to Uploaders
  * Fix debian/watch

  [ Mark Purcell ]
  * Add myself to Uploaders
  * libss7-dbg -> Section: debug
  * debian/compat -> 7

  [ Tzafrir Cohen ]
  * A @debian.org address.
  * Patch gcc46: Fix the gcc 4.6 warnings (Closes: 625375).
  * Switch to dh.
  * Swich to dpkg v.3 format.
  * Standards version: 3.9.2.
  * Add a symbols file.

 -- Tzafrir Cohen <tzafrir@debian.org>  Fri, 25 Nov 2011 21:06:32 +0200

libss7 (1.0.2-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * Initial release. (Closes: #496263)

 -- Mark Purcell <msp@debian.org>  Tue, 18 Nov 2008 22:31:46 +1100

=== debian/control ===
Source: libss7
Priority: optional
Section: libs
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://downloads.asterisk.org/pub/telephony/libss7/
Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libss7/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libss7/trunk/

Package: libss7-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libss7-1 (= ${binary:Version})
Description: Signalling System 7 (ss7) development files
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 Development files for the C implementation of the Signalling System 7 
 (ss7) telephony protocol.
 
Package: libss7-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Signalling System 7 (ss7) library
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 C implementation of the Signalling System 7 (ss7) telephony protocol.
 
Package: libss7-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libss7-1 (= ${binary:Version})
Description: Signalling System 7 (ss7) debugging symbols
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 Debug symbols for the C implementation of the Signalling System 7 
 (ss7) telephony protocol.

=== debian/rules ===
#!/usr/bin/make -f

PKGNAME:=$(shell sed -nre 's/^Package: (.*[0-9])$$/\1/p' debian/control)
DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/~dfsg$$//')
UPVERSIONMAJOR:=$(shell echo $(UPVERSION) | sed -re 's/(^[0-9]\.[0-9]).*/\1/')
SHLIBS = $(PKGNAME) (>= $(UPVERSIONMAJOR))

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_mkshlibs:
	dh_makeshlibs -V "$(SHLIBS)"

override_dh_strip:
	dh_strip --dbg-package=libss7-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=// \
	http://downloads.digium.com/pub/telephony/libss7/releases/libss7-([0-9.]*).tar.gz debian svn-upgrade

## libss7 2.0.0

=== Makefile ===
#
# libss7: An implementation of Signaling System 7 (SS7)
#
# Written by Mark Spencer <markster@linux-support.net>
#
# Copyright (C) 2001, Linux Support Services, Inc.
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CC=gcc
GREP=grep
AWK=awk

OSARCH=$(shell uname -s)
PROC?=$(shell uname -m)

# SONAME version; should be changed on every ABI change
# please don't change it needlessly; it's perfectly fine to have a SONAME
# of 1.0 and a version of 1.4.x
SONAME:=2.0

STATIC_LIBRARY=libss7.a
DYNAMIC_LIBRARY:=libss7.so.$(SONAME)
STATIC_OBJS= \
	isup.o \
	mtp2.o \
	mtp3.o \
	ss7.o \
	ss7_sched.o \
	version.o
DYNAMIC_OBJS= \
	$(STATIC_OBJS)
CFLAGS ?= -g
CFLAGS += -Wall -Werror -Wstrict-prototypes -Wmissing-prototypes
CFLAGS += -fPIC $(LIBSS7_OPT) $(COVERAGE_CFLAGS)
INSTALL_PREFIX=$(DESTDIR)
INSTALL_BASE=/usr
libdir?=$(INSTALL_BASE)/lib
ifneq ($(findstring Darwin,$(OSARCH)),)
  SOFLAGS=$(LDFLAGS) -dynamic -bundle -Xlinker -macosx_version_min -Xlinker 10.4 -Xlinker -undefined -Xlinker dynamic_lookup -force_flat_namespace
  ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.6)
    SOFLAGS+=/usr/lib/bundle1.o
  endif
  LDCONFIG=/usr/bin/true
else
  SOFLAGS=$(LDFLAGS) -shared -Wl,-h$(DYNAMIC_LIBRARY) $(COVERAGE_LDFLAGS)
  LDCONFIG = /sbin/ldconfig
endif
ifneq (,$(findstring X$(OSARCH)X, XLinuxX XGNU/kFreeBSDX XGNUX))
LDCONFIG_FLAGS=-n
else
ifeq (${OSARCH},FreeBSD)
LDCONFIG_FLAGS=-m
#CFLAGS += -I../zaptel -I../zapata
INSTALL_BASE=/usr/local
endif
endif
ifeq (${OSARCH},SunOS)
#CFLAGS += -DSOLARIS -I../zaptel-solaris
CFLAGS += -DSOLARIS
LDCONFIG =
LDCONFIG_FLAGS = \# # Trick to comment out the period in the command below
#INSTALL_PREFIX = /opt/asterisk  # Uncomment out to install in standard Solaris location for 3rd party code
endif

UTILITIES=parser_debug

ifneq ($(wildcard /usr/include/dahdi/user.h),)
UTILITIES+=ss7test ss7linktest
endif

export SS7VERSION

SS7VERSION:=$(shell GREP=$(GREP) AWK=$(AWK) build_tools/make_version .)

#The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
#This works for even old (2.96) versions of gcc and provides a small boost either way.
#A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesnt support it.
ifeq ($(PROC),sparc64)
PROC=ultrasparc
LIBSS7_OPT = -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
else
  ifneq ($(CODE_COVERAGE),)
    LIBSS7_OPT=
    COVERAGE_CFLAGS=-ftest-coverage -fprofile-arcs
    COVERAGE_LDFLAGS=-ftest-coverage -fprofile-arcs
  else
    LIBSS7_OPT=-O2
  endif
endif

ifeq ($(CPUARCH),i686)
CFLAGS += -m32
SOFLAGS += -m32
endif

all: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY) $(UTILITIES)

update:
	@if [ -d .svn ]; then \
		echo "Updating from Subversion..." ; \
		fromrev="`svn info | $(AWK) '/Revision: / {print $$2}'`"; \
		svn update | tee update.out; \
		torev="`svn info | $(AWK) '/Revision: / {print $$2}'`"; \
		echo "`date`  Updated from revision $${fromrev} to $${torev}." >> update.log; \
		rm -f .version; \
		if [ `grep -c ^C update.out` -gt 0 ]; then \
			echo ; echo "The following files have conflicts:" ; \
			grep ^C update.out | cut -b4- ; \
		fi ; \
		rm -f update.out; \
	else \
		echo "Not under version control";  \
	fi

install: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	mkdir -p $(INSTALL_PREFIX)$(libdir)
	mkdir -p $(INSTALL_PREFIX)$(INSTALL_BASE)/include
ifneq (${OSARCH},SunOS)
	install -m 644 libss7.h $(INSTALL_PREFIX)$(INSTALL_BASE)/include
	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
	#if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then /sbin/restorecon -v $(INSTALL_PREFIX)$(libdir)/$(DYNAMIC_LIBRARY); fi
	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf $(DYNAMIC_LIBRARY) libss7.so)
ifeq ($(SONAME),1.0)
	# Add this link for historic reasons
	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf $(DYNAMIC_LIBRARY) libss7.so.1)
endif
	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
	if test $$(id -u) = 0; then $(LDCONFIG) $(LDCONFIG_FLAGS) $(INSTALL_PREFIX)$(libdir); fi
else
	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include -m 644 libss7.h
	install -f $(INSTALL_PREFIX)$(libdir) -m 755 $(DYNAMIC_LIBRARY)
	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf $(DYNAMIC_LIBRARY) libss7.so)
ifeq ($(SONAME),1.0)
	# Add this link for historic reasons
	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf $(DYNAMIC_LIBRARY) libss7.so.1)
endif
	install -f $(INSTALL_PREFIX)$(libdir) -m 644 $(STATIC_LIBRARY)
endif

uninstall:
	@echo "Removing Libss7"
	rm -f $(INSTALL_PREFIX)$(libdir)/$(STATIC_LIBRARY)
	rm -f $(INSTALL_PREFIX)$(libdir)/libss7.so
ifeq ($(SONAME),1.0)
	rm -f $(INSTALL_PREFIX)$(libdir)/libss7.so.1
endif
	rm -f $(INSTALL_PREFIX)$(libdir)/$(DYNAMIC_LIBRARY)
	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include/libss7.h

ss7test: ss7test.o $(STATIC_LIBRARY)
	$(CC) -o $@ $< $(STATIC_LIBRARY) -lpthread $(CFLAGS)

ss7linktest: ss7linktest.o $(STATIC_LIBRARY)
	$(CC) -o $@ $< $(STATIC_LIBRARY) -lpthread $(CFLAGS)

parser_debug: parser_debug.o $(STATIC_LIBRARY)
	$(CC) -o $@ $< $(STATIC_LIBRARY) $(CFLAGS)

MAKE_DEPS= -MD -MT $@ -MF .$(subst /,_,$@).d -MP

%.o: %.c
	$(CC) $(CFLAGS) $(MAKE_DEPS) -c -o $@ $<

%.lo: %.c
	$(CC) $(CFLAGS) $(MAKE_DEPS) -c -o $@ $<

$(STATIC_LIBRARY): $(STATIC_OBJS)
	ar rcs $(STATIC_LIBRARY) $(STATIC_OBJS)
	ranlib $(STATIC_LIBRARY)

$(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
	$(CC) $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
	$(LDCONFIG) $(LDCONFIG_FLAGS) .
	ln -sf $(DYNAMIC_LIBRARY) libss7.so
ifeq ($(SONAME),1.0)
	# Add this link for historic reasons
	ln -sf $(DYNAMIC_LIBRARY) libss7.so.1
endif

version.c: FORCE
	@build_tools/make_version_c > $@.tmp
	@cmp -s $@.tmp $@ || mv $@.tmp $@
	@rm -f $@.tmp

clean:
	rm -f *.o *.so *.lo
ifeq ($(SONAME),1.0)
	rm -f *.so.1
endif
	rm -f $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	rm -f parser_debug ss7linktest ss7test
	rm -f .*.d

.PHONY:

FORCE:

ifneq ($(wildcard .*.d),)
   include .*.d
endif

=== debian/changelog ===
libss7 (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Cherry-Pick upstream commit to fix strncpy errors with GCC-9
    (Closes: #925760)
  * Fix Vcs url to salsa.debian.org

 -- Bernhard Schmidt <berni@debian.org>  Fri, 16 Aug 2019 10:44:29 +0200

libss7 (2.0.0-2) unstable; urgency=medium

  [ Mark Purcell ]
  * New upstream release (Closes: #752694)
  * debian/patches incorporated upstream

  [ Tzafrir Cohen ]
  * Switched to upstream git tree with pristine-tar and a patch queue.
  * Ignore generated files under debian/
  * New SONAME: libss7-2.0
  * typo in rules: dh_makeshlibs (Closes: #834647)
  * install to multiarch paths
  * gbp.conf: set version tags format
  * Pass build flags to Makefile
  * Switch to Git VCS URLs
  * Enable extra hardening options
  * A dep5 copyright file
  * Compat level 10
  * don't manually generate a dbg package
  * watch: check signature
  * Strict versioned depepndency should not be needed
  * Multiarch
  * Standards version 3.9.8

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 31 Oct 2016 23:56:31 +0200

=== debian/control ===
Source: libss7
Priority: optional
Section: libs
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Homepage: http://downloads.asterisk.org/pub/telephony/libss7/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/libss7.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libss7

Package: libss7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libss7-2.0 (= ${binary:Version})
Description: Signalling System 7 (ss7) development files
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 Development files for the C implementation of the Signalling System 7 
 (ss7) telephony protocol.
 
Package: libss7-2.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Signalling System 7 (ss7) library
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 C implementation of the Signalling System 7 (ss7) telephony protocol.

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=//,pgpsigurlmangle=s/$/.asc/ \
	http://downloads.digium.com/pub/telephony/libss7/releases/libss7-([0-9.]*).tar.gz debian uupdate

## libss7 2.0.1

=== debian/changelog ===
libss7 (2.0.1-2) unstable; urgency=medium

  * proper fix for both (Closes: #934916, #1069523)

 -- Victor Seva <vseva@debian.org>  Wed, 12 Feb 2025 11:07:10 +0100

libss7 (2.0.1-1) unstable; urgency=medium

  [ Carlos Ramos ]
  * Update watch and signature keys

  [ Victor Seva ]
  * New upstream release
  * remove already applied patches
  * fix build on armhf (Closes: #1069523)
  * add myself to Uploaders. wrap-and-sort -sat
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Victor Seva <vseva@debian.org>  Tue, 11 Feb 2025 10:06:37 +0100

=== debian/control ===
Source: libss7
Priority: optional
Section: libs
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Mark Purcell <msp@debian.org>,
 Kilian Krause <kilian@debian.org>,
 Victor Seva <vseva@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 3.9.8
Homepage: https://downloads.asterisk.org/pub/telephony/libss7/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/libss7.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libss7

Package: libss7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libss7-2.0 (= ${binary:Version}),
 ${misc:Depends},
Description: Signalling System 7 (ss7) development files
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 Development files for the C implementation of the Signalling System 7
 (ss7) telephony protocol.

Package: libss7-2.0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Signalling System 7 (ss7) library
 A userspace library that provids SS7 protocol services to applications.
 It has a working MTP2, MTP3, and ISUP for ITU and ANSI style SS7, however
 it was written in a manner that will easily allow support for other various
 national specific variants in the future.  For a working reference
 implementation, see the various link test programs, as well as the Asterisk
 Open Source PBX.
 .
 C implementation of the Signalling System 7 (ss7) telephony protocol.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

triplet := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR = /usr/lib/$(triplet)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- libdir=$(LIBDIR)

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --uscan

opts="pgpmode=auto, dversionmangle=auto" \
http://downloads.asterisk.org/pub/telephony/libss7/releases/libss7-(\d\.\d\.\d).tar.gz
